Name:          mybatis
Version:       3.2.2
Release:       7%{?dist}
Summary:       SQL Mapping Framework for Java
License:       ASL 2.0
# http://code.google.com/p/mybatis/
URL:           http://www.mybatis.org/
Source0:       https://github.com/mybatis/mybatis-3/archive/%{name}-%{version}.tar.gz
# thanks to jhernand
# replace ognl ognl with apache-commons-ognl
Patch0:        %{name}-%{version}-commons-ognl.patch

BuildRequires: java-devel

BuildRequires: mvn(cglib:cglib)
BuildRequires: mvn(commons-logging:commons-logging)
BuildRequires: mvn(log4j:log4j)
BuildRequires: mvn(org.apache.commons:commons-ognl)
BuildRequires: mvn(org.javassist:javassist)
BuildRequires: mvn(org.mybatis:mybatis-parent)
BuildRequires: mvn(org.slf4j:slf4j-api)
BuildRequires: mvn(org.slf4j:slf4j-log4j12)

BuildRequires: maven-local
BuildRequires: maven-enforcer-plugin
BuildRequires: maven-plugin-bundle
BuildRequires: maven-plugin-cobertura
BuildRequires: maven-surefire-provider-junit

# test deps
BuildRequires: mvn(commons-dbcp:commons-dbcp)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.apache.derby:derby)
BuildRequires: geronimo-parent-poms
BuildRequires: mvn(org.apache.geronimo.specs:geronimo-jta_1.1_spec)
BuildRequires: mvn(org.apache.velocity:velocity) >= 1.7
%if %{?fedora} <= 19
BuildRequires: mvn(hsqldb:hsqldb)
%else
BuildRequires: mvn(org.hsqldb:hsqldb) >= 2.2.9
%endif
BuildRequires: mvn(org.mockito:mockito-core)
BuildRequires: mvn(postgresql:postgresql)

BuildArch:     noarch

%description
The MyBatis data mapper framework makes it easier
to use a relational database with object-oriented
applications. MyBatis couples objects with stored
procedures or SQL statements using a XML descriptor
or annotations. Simplicity is the biggest advantage
of the MyBatis data mapper over object relational
mapping tools.

To use the MyBatis data mapper, you rely on your
own objects, XML, and SQL. There is little to
learn that you don't already know. With the
MyBatis data mapper, you have the full power of
both SQL and stored procedures at your fingertips. 

The MyBatis project is developed and maintained by
a team that includes the original creators of the
"iBATIS" data mapper. The Apache project was retired
and continued here.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-3-%{name}-%{version}

%patch0 -p1
%pom_remove_plugin :maven-pdf-plugin
%pom_remove_plugin :jarjar-maven-plugin

%pom_remove_dep javax.transaction:transaction-api
%pom_add_dep org.apache.geronimo.specs:geronimo-jta_1.1_spec::test

%if %{?fedora} <= 19
# adapt for hsqldb 1.x
%pom_remove_dep org.hsqldb:hsqldb
%pom_add_dep hsqldb:hsqldb::test
#rm -r src/test/java/org/apache/ibatis/jdbc/PooledDataSourceTest.java
sed -i 's/JDBCConnection/jdbcConnection/' src/test/java/org/apache/ibatis/jdbc/PooledDataSourceTest.java
sed -i 's/(JDBCConnection)/(jdbcConnection)/' src/test/java/org/apache/ibatis/jdbc/PooledDataSourceTest.java
# These tests fails for various reasons
rm -r src/test/java/org/apache/ibatis/submitted/complex_type/ComplexTypeTest.java \
 src/test/java/org/apache/ibatis/submitted/awful_table/AwfulTableTest.java \
 src/test/java/org/apache/ibatis/submitted/sptests/SPTest.java \
 src/test/java/org/apache/ibatis/submitted/dynsql/DynSqlTest.java \
 src/test/java/org/apache/ibatis/submitted/selectkey/SelectKeyTest.java \
 src/test/java/org/apache/ibatis/submitted/blobtest/BlobTest.java \
 src/test/java/org/apache/ibatis/submitted/multipleiterates/MultipleIteratesTest.java \
 src/test/java/org/apache/ibatis/submitted/foreach_map/ForEachMapTest.java \
 src/test/java/org/apache/ibatis/submitted/batch_keys/BatchKeysTest.java
%endif
sed -i 's/\r//' LICENSE NOTICE

# Fails on java8
rm -r src/test/java/org/apache/ibatis/parsing/GenericTokenParserTest.java

%build

%mvn_file :%{name} %{name}
%mvn_build -- -Dproject.build.sourceEncoding=UTF-8
 
%install
%mvn_install

%files -f .mfiles
%doc LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%doc LICENSE NOTICE

%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 3.2.2-6
- Use Requires: java-headless rebuild (#1067528)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Jul 05 2013 gil cattaneo <puntogil@libero.it> 3.2.2-4
- switch to XMvn
- minor changes to adapt to current guideline

* Sat May 11 2013 gil cattaneo <puntogil@libero.it> 3.2.2-3
- rebuilt with mybatis-parent

* Sun Apr 21 2013 gil cattaneo <puntogil@libero.it> 3.2.2-2
- rebuilt with mybatis-parent
- run test suite with hsqldb 1.x

* Sat Apr 20 2013 gil cattaneo <puntogil@libero.it> 3.2.2-1
- update to 3.2.2

* Fri Apr 20 2012 gil cattaneo <puntogil@libero.it> 3.1.1-1
- initial rpm